/* To learn more about this file see: https://angular.io/config/tsconfig. */
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./src",
    "outDir": "./dist/out-tsc",
    "forceConsistentCasingInFileNames": true,
    "strict": false,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "es2017",
    "module": "es2020",
    "lib": [
      "es2020",
      "dom"
    ],
    "paths": {
      "@components/*": ["app/components/*"],
      "@constants/*": ["app/shared/constants/*"],
      "@environments/*": ["app/environments/*"],
      "@interfaces/*": ["app/shared/interfaces/*"],
      "@guards/*": ["app/guards/*"],
      "@services/*": ["app/services/*"],
      "@views/*": ["app/views/*"]
    }
  },
  // "angularCompilerOptions": {
  //   "enableI18nLegacyMessageIdFormat": false,
  //   "strictInjectionParameters": true,
  //   "strictInputAccessModifiers": true,
  //   "strictTemplates": true
  // }
}
